summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ronny Schmatzler2012-05-05 18:20:18 +0200
committer Erik Hanson2012-05-07 19:18:08 +0200
commit6f8dd33bc840e28312843c48aa8eed66a435f696 (patch)
tree5f26a39294f23395b8829939d8194a98ad83e402
parentbbb681795e14bbdec6529a6ccd8ddc4168b749d2 (diff)
downloadslackbuilds-6f8dd33bc840e28312843c48aa8eed66a435f696.tar.gz
network/pidgin-toolbar-shrink: Added (Hide elements in Pidgin)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/pidgin-toolbar-shrink/README2
-rw-r--r--network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.SlackBuild83
-rw-r--r--network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.info10
-rw-r--r--network/pidgin-toolbar-shrink/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/network/pidgin-toolbar-shrink/README b/network/pidgin-toolbar-shrink/README
new file mode 100644
index 0000000000..c58991dc7f
--- /dev/null
+++ b/network/pidgin-toolbar-shrink/README
@@ -0,0 +1,2 @@
+This plugin shrinks the toolbar of the conversation windows by hiding
+the text of the buttons.
diff --git a/network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.SlackBuild b/network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.SlackBuild
new file mode 100644
index 0000000000..09df64cd31
--- /dev/null
+++ b/network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for pidgin-toolbar-shrink
+
+# Written by Ronny Schmatzler <schmatzler@hirnschwund.net>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=pidgin-toolbar-shrink
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING NEWS INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.info b/network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.info
new file mode 100644
index 0000000000..11de76f797
--- /dev/null
+++ b/network/pidgin-toolbar-shrink/pidgin-toolbar-shrink.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-toolbar-shrink"
+VERSION="1.1.1"
+HOMEPAGE="https://launchpad.net/pidgin-toolbar-shrink"
+DOWNLOAD="https://launchpad.net/pidgin-toolbar-shrink/trunk/1.1.1/+download/pidgin-toolbar-shrink-1.1.1.tar.gz"
+MD5SUM="8edacae1246bd23720182826028605ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ronny Schmatzler"
+EMAIL="schmatzler@hirnschwund.net"
+APPROVED="dsomero"
diff --git a/network/pidgin-toolbar-shrink/slack-desc b/network/pidgin-toolbar-shrink/slack-desc
new file mode 100644
index 0000000000..c1641135dd
--- /dev/null
+++ b/network/pidgin-toolbar-shrink/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pidgin-toolbar-shrink: pidgin-toolbar-shrink (Hide elements in Pidgin)
+pidgin-toolbar-shrink:
+pidgin-toolbar-shrink: This plugin shrinks the toolbar of the conversation windows by
+pidgin-toolbar-shrink: hiding the text of the buttons.
+pidgin-toolbar-shrink:
+pidgin-toolbar-shrink: Homepage: https://launchpad.net/pidgin-toolbar-shrink
+pidgin-toolbar-shrink:
+pidgin-toolbar-shrink:
+pidgin-toolbar-shrink:
+pidgin-toolbar-shrink:
+pidgin-toolbar-shrink: